
void TechnoAP2Tree(){

  gSystem->Load("libanacore.so");

  TArtEventStore *estore = new TArtEventStore();
  TArtRawEventObject *rawevent = new TArtRawEventObject();

  unsigned long long int ts;
  Int_t mod;
  Int_t ch;
  Int_t adc;

  TFile *fout = new TFile("ridf.pool.root","RECREATE");
  TTree *tree = new TTree("techno","techno");
  tree->Branch("ts",&ts,"ts/l");
  tree->Branch("ch",&ch,"ch/I");
  tree->Branch("mod",&mod,"mod/I");
  tree->Branch("adc",&adc,"adc/I");

  int neve = 0;

  estore->Initialize(rawevent); 
  estore->Open("test.ridf");
  //  estore->Open(); 
  while(estore->GetNextEvent()&&neve<6241142){
    ts = rawevent->GetTimeStamp();
    //std::cout << "TimeStamp: " << ts << std::endl;
    for(int i=0;i<rawevent->GetNumSeg();i++){
      TArtRawSegmentObject *seg = rawevent->GetSegment(i);
      for(int j=0;j<seg->GetNumData();j++){
	TArtRawDataObject *d = seg->GetData(j);
	mod = d->GetGeo(); 
	ch = d->GetCh();
	adc = d->GetVal(); 
	//std::cout << geo << " " << ch << " " << val << std::endl;
	tree->Fill();
      }
    }

    rawevent->Clear();
    neve ++;
  }

  fout->Write();
  fout->Close();


}

