#ifndef _TARTEVENTINFO_H_
#define _TARTEVENTINFO_H_

#include "TNamed.h"

class TArtEventInfo : public TNamed {

 public:
  TArtEventInfo(){}
  virtual ~TArtEventInfo(){}
  virtual void Clear(){runnumber=-1;eventnumber=-1;timestamp=-1;}

  virtual void SetRunNumber(int val){runnumber = val;}
  virtual void SetEventNumber(int val){eventnumber = val;}
  virtual void SetTimeStamp(unsigned long long int val){timestamp = val;}

  virtual int GetRunNumber(){return runnumber;}
  virtual int GetEventNumber(){return eventnumber;}
  virtual unsigned long long int GetTimeStamp(){return timestamp;}

 private:
  // run number
  int runnumber;

  // event number
  int eventnumber;

  // time stamp information 
  unsigned long long int timestamp;

  ClassDef(TArtEventInfo,1);

};

ClassImp(TArtEventInfo);

#endif

