#ifndef TARTMAPPPER_H
#define TARTMAPPPER_H

// mapper 

#include <map>
#include "TArtMap.h"
#include "TArtCore.h"

class TArtMapper  {

protected:

  // for anapaw style mapping

  std::map<TArtRIDFMap, TArtMap> anamap;
  std::map<TArtRIDFMap, TArtMap>::iterator itrEnd;
  std::map<TArtRIDFMap, TArtMap>::iterator amap;

  TArtMapper();
  static TArtMapper* sMapper;

public:
  static TArtMapper* Instance();
  virtual ~TArtMapper();

  virtual bool isLoaded();
  virtual void LoadConfig(const char* filename);
  virtual TArtMap * FindMap(TArtRIDFMap * inmap);
  virtual TArtMap * FindMap(int fp,int detid,int geo,int ch);

  ClassDef(TArtMapper,1);

};

#endif // end of #ifdef TARTMAPPER_H
